## hubzero-mw2-client 2.2.0

=== Makefile ===
# @package      hubzero-mw2-client
# @file         Makefile
# @author       Pascal Meunier <pmeunier@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 

VARLIBDIR=$(DESTDIR)/var/lib
LOGDIR=$(DESTDIR)/var/log
OWNER=root
USRBIN=$(DESTDIR)/usr/bin
USRSBIN=$(DESTDIR)/usr/sbin
USRLIB=$(DESTDIR)/usr/lib
ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share
USRSHAREMAN=$(DESTDIR)/usr/share/man
USRSHAREDOC=$(DESTDIR)/usr/share/doc
SBIN=$(DESTDIR)/sbin
VARLOG=$(DESTDIR)/var/log
USRSHAREMANMAN8=$(DESTDIR)/usr/share/man/man8
USRLOCAL=$(DESTDIR)/usr/local
VARLIBDIR=$(DESTDIR)/var/lib

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
    WEBUSER=www-data
else
    WEBUSER=apache
endif

all:
	@true

install:
	install --mode 0755 -d $(ETC)/mw-client
	install --mode 0750 -d $(VARLOG)/mw-client
	install --mode 0750 -d $(VARLIBDIR)/mw-client
	install --mode 0750 -d $(VARLOG)/mw-client/sessions
	install --mode 0755 -D maxwell $(USRBIN)/maxwell
	install --mode 0644 -D logrotate_mw-client $(ETC)/logrotate.d/hubzero-mw2-client
	install --mode 0640 -D mw2-client.conf $(ETC)/mw-client/mw2-client.conf

manual_install:  install postinst
	chmod -R 770 /etc/mw-client
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/mw2-client.conf
	# change umask to avoid race conditions with later chmod commands
	umask 0077
	if [ ! -f /etc/mw-client/maxwell.key.pub ]; then \
	  printf 'y\n' | ssh-keygen -t rsa -b 3072 -f /etc/mw-client/maxwell.key -N '' -C "created `date +'%Y-%m-%d'` with 3072 bits for apache@`hostname`"; \
	fi
	if [ ! -f /etc/mw-client/notify.key.pub ]; then \
	  printf 'y\n' | ssh-keygen -t rsa -b 3072 -f /etc/mw-client/notify.key -N '' -C "created `date +'%Y-%m-%d'` with 3072 bits for apache@`hostname`"; \
	fi
	# make notify.key available to middleware exec service before changing ownership to apache
	if [ -f /etc/mw-client/notify.key -a -d /etc/mw-service ]; then \
	  cp /etc/mw-client/notify.key /etc/mw-service/notify.key; \
	fi
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key.pub
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key.pub

	# install notify public key in web service user's authorized_keys file
	if [ ! -d $(WEBUSER)/.ssh ]; then \
	  mkdir -p ~$(WEBUSER)/.ssh; \
	  chown $(WEBUSER):$(WEBUSER) ~$(WEBUSER)/.ssh; \
	fi
	# ~apache/.ssh should be owned by apache:apache
	su -s /bin/sh -c "touch  ~$(WEBUSER)/.ssh/authorized_keys" $(WEBUSER)
	if [ ! -f ~$(WEBUSER)/.ssh/authorized_keys ]; then \
	  su -s /bin/sh -c "touch  ~$(WEBUSER)/.ssh/authorized_keys" $(WEBUSER); \
	fi
	# make sure .ssh/authorized_keys is writable, and add the public key to notify
	grep -q -f /etc/mw-client/notify.key.pub ~$(WEBUSER)/.ssh/authorized_keys || \
	  su -s /bin/sh -c "chmod u+w ~$(WEBUSER)/.ssh/authorized_keys; echo -n 'COMMAND=\"/usr/bin/maxwell notify\" ' >> ~$(WEBUSER)/.ssh/authorized_keys; cat /etc/mw-client/notify.key.pub >> ~$(WEBUSER)/.ssh/authorized_keys" $(WEBUSER); \
	fi

	# setup permissions for /var/log/mw-client
	chown $(WEBUSER):$(WEBUSER) /var/log/mw-client
	chmod 0750 /var/log/mw-client
	chown $(WEBUSER):$(WEBUSER) /var/log/mw-client/sessions
	chmod 0750 /var/log/mw-client/sessions


uninstall:
	rm -f $(USRBIN)/maxwell
	rm -f $(ETC)/logrotate.d/hubzero-mw2-client

postinst:
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client
	chown $(WEBUSER):$(WEBUSER) /var/log/mw-client
	chown $(WEBUSER):$(WEBUSER) /var/log/mw-client/sessions
	@if [ ! -f /etc/mw-client/maxwell.key.pub ]; then echo 'y\n' | ssh-keygen -t rsa -b 3072 -f /etc/mw-client/maxwell.key -N '' -C "created `date +'%Y-%m-%d'` with 3072 bits for $(WEBUSER)@`hostname`" ; fi
	@if [ ! -f /etc/mw-client/notify.key.pub ]; then echo 'y\n' | ssh-keygen -t rsa -b 3072 -f /etc/mw-client/notify.key -N '' -C "created `date +'%Y-%m-%d'` with 3072 bits for $(WEBUSER)@`hostname`" ; fi
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key.pub
	chmod 0400 /etc/mw-client/maxwell.key.pub
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key
	chmod 0400 /etc//mw-client/maxwell.key
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key.pub
	chmod 0400 /etc/mw-client/notify.key.pub
	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key
	chmod 0400 /etc/mw-client/notify.key
	if [ -f /etc/mw-client/notify.key -a -d $(ETCDIR)/mw-service/notify.key ]; then cp /etc/mw-client/notify.key /etc/mw-service/notify.key; fi
	if [ -f /etc/mw-service/notify.key ]; then chown root:root $(ETCDIR)/mw-service/notify.key; chmod 0400 /etc/mw-service/notify.key; fi	

clean:
	rm -f $(USRBIN)/maxwell
	rm -f $(ETC)/logrotate.d/hubzero-mw2-client
	rm -f $(ETC)/mw-service/mw-file-service.conf

.PHONY: all install uninstall postinst clean

## hubzero-mw2-client 2.2.8

=== Makefile ===
--- 
+++ 
@@ -67,9 +67,8 @@
 	install --mode 0640 -D mw2-client.conf $(ETC)/mw-client/mw2-client.conf
 
 manual_install:  install postinst
-	chmod -R 770 /etc/mw-client
-	chown $(WEBUSER):$(WEBUSER) /etc/mw-client
-	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/mw2-client.conf
+	chmod -R o-rwx /etc/mw-client
+	chown -R $(WEBUSER):$(WEBUSER) /etc/mw-client
 	# change umask to avoid race conditions with later chmod commands
 	umask 0077
 	if [ ! -f /etc/mw-client/maxwell.key.pub ]; then \
@@ -87,8 +86,11 @@
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key.pub
 
+	# prevent "Permissions 0770 for '/etc/mw-client/maxwell.key' are too open. This private key will be ignored."
+	chmod 0700 /etc/mw-client/maxwell.key
+
 	# install notify public key in web service user's authorized_keys file
-	if [ ! -d $(WEBUSER)/.ssh ]; then \
+	if [ ! -d ~$(WEBUSER)/.ssh ]; then \
 	  mkdir -p ~$(WEBUSER)/.ssh; \
 	  chown $(WEBUSER):$(WEBUSER) ~$(WEBUSER)/.ssh; \
 	fi
@@ -100,7 +102,6 @@
 	# make sure .ssh/authorized_keys is writable, and add the public key to notify
 	grep -q -f /etc/mw-client/notify.key.pub ~$(WEBUSER)/.ssh/authorized_keys || \
 	  su -s /bin/sh -c "chmod u+w ~$(WEBUSER)/.ssh/authorized_keys; echo -n 'COMMAND=\"/usr/bin/maxwell notify\" ' >> ~$(WEBUSER)/.ssh/authorized_keys; cat /etc/mw-client/notify.key.pub >> ~$(WEBUSER)/.ssh/authorized_keys" $(WEBUSER); \
-	fi
 
 	# setup permissions for /var/log/mw-client
 	chown $(WEBUSER):$(WEBUSER) /var/log/mw-client
@@ -122,13 +123,13 @@
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key.pub
 	chmod 0400 /etc/mw-client/maxwell.key.pub
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/maxwell.key
-	chmod 0400 /etc//mw-client/maxwell.key
+	chmod 0400 /etc/mw-client/maxwell.key
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key.pub
 	chmod 0400 /etc/mw-client/notify.key.pub
 	chown $(WEBUSER):$(WEBUSER) /etc/mw-client/notify.key
 	chmod 0400 /etc/mw-client/notify.key
-	if [ -f /etc/mw-client/notify.key -a -d $(ETCDIR)/mw-service/notify.key ]; then cp /etc/mw-client/notify.key /etc/mw-service/notify.key; fi
-	if [ -f /etc/mw-service/notify.key ]; then chown root:root $(ETCDIR)/mw-service/notify.key; chmod 0400 /etc/mw-service/notify.key; fi	
+	if [ -f /etc/mw-client/notify.key -a -d $(ETC)/mw-service/notify.key ]; then cp /etc/mw-client/notify.key /etc/mw-service/notify.key; fi
+	if [ -f /etc/mw-service/notify.key ]; then chown root:root $(ETC)/mw-service/notify.key; chmod 0400 /etc/mw-service/notify.key; fi	
 
 clean:
 	rm -f $(USRBIN)/maxwell

=== tests/Makefile ===
# MAKEFLAGS += --silent

TESTUSERID=182
TESTGROUPID=100
TESTUSERNAME=pmeunier
TESTSCRIPT=maxwell
OPTION_DB=mwtest
# change definition as needed in /usr/lib/python2.7/dist-packages/hubzero/mw/constants.py:  "FS_PATH": '/usr/bin/maxwell_fs'
SESSNUM=1234
RUNUSER=apache
TEST_DB_CNF=/home/su-pmeunier/.my.cnf
# correct tool name found with:
# select instance from jos_tool_version where toolname = 'workspace' order by instance DESC limit 1;
TESTAPP=workspace_r7
HOMEPATH=/home

all: prereq cleandb check_db_allOK delete_sshkey check_no check_toggle check_yes ssh_check start resize stop view renotify version

# start isn't phony because it creates a "start" file, which "stop" deletes
.PHONY: copy cleandb prereq

copy:
	sudo cp ../maxwell /usr/bin/maxwell
	sudo chmod +rx /usr/bin/maxwell

# yum install python-pydns
prereq:
	python -c "import DNS"

###### Database stuff ###### 
cleandb:
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from session"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from viewperm"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from display"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from fileperm"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from sessionlog"

check_db_allOK:cleandb copy
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) check_db no" > check_db.out
	diff check_db.expected check_db.out

check_db_hubname: cleandb copy
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) check_db dbname=$(OPTION_DB) no" > check_db.out

###### SSH tests###### 
delete_hostkey:
	sudo ssh-keygen -R localhost -f /etc/ssh/ssh_known_hosts 2> delete_sshkey.out > /dev/null
	sudo su $(RUNUSER) -c "ssh-keygen -R localhost" 2>>delete_sshkey.out > /dev/null

check_no: delete_hostkey
	mysql --defaults-file=$(TEST_DB_CNF) -e "update host set status='down'"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) check localhost no" | sed 's/\[.*\]//'> check_no.out
	diff check_no.expected check_no.out
	mysql --defaults-file=$(TEST_DB_CNF) -e "select hostname, status from host where hostname='localhost'" > check_no.sqlout
	diff check_no.sqlexpected check_no.sqlout

check_toggle:
	mysql --defaults-file=$(TEST_DB_CNF) -e "update host set status='up' where hostname = 'localhost'"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) check localhost no" > check_toggle.out
	diff check_toggle.out check_toggle.expected
	mysql --defaults-file=$(TEST_DB_CNF) -e "select hostname, status from host where hostname='localhost'" > check_toggle.sqlout
	diff check_toggle.sqlexpected check_toggle.sqlout

check_yes: delete_hostkey
	mysql --defaults-file=$(TEST_DB_CNF) -e "update host set status='down'"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) check localhost yes" 2>&1 > check_yes.out
	diff check_yes.expected check_yes.out

ssh_check:
	sudo su $(RUNUSER) -c "ls /etc/mw-client/maxwell.key" > /dev/null
	sudo su $(RUNUSER) -c "ssh -i /etc/mw-client/maxwell.key root@localhost /usr/bin/maxwell_service check"

###### Execution host tests###### 
start: cleandb
	mysql --defaults-file=$(TEST_DB_CNF) -e "update host set status='up' where hostname ='localhost'"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) start user=$(TESTUSERNAME) ip=128.46.16.229 app=$(TESTAPP)" > start
	grep 'Session is ' start > /dev/null
	mysql --defaults-file=$(TEST_DB_CNF) -e "update session set sessnum=$(SESSNUM)"

stop: start
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from sessionlog"
	mysql --defaults-file=$(TEST_DB_CNF) -e "update session set sessnum=$(SESSNUM)"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) stop $(SESSNUM)"
	rm -f start

#view <sessionnum> <user> <ip> [<readonly>]
view:
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from session"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from viewperm"
	mysql --defaults-file=$(TEST_DB_CNF) -e "insert into session(sessnum, exechost, username, sesstoken, appname) values ($(SESSNUM), 'localhost', '$(TESTUSERNAME)', 'atokenstring', '$(TESTAPP)')"
	mysql --defaults-file=$(TEST_DB_CNF) -e "insert into viewperm(sessnum, viewuser, viewtoken) values ($(SESSNUM), '$(TESTUSERNAME)', 'aviewtokenstring')"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) view $(SESSNUM) $(TESTUSERNAME) 128.46.16.229" > view.out
	diff view.expected view.out

renotify:
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from sessionlog"
	mysql --defaults-file=$(TEST_DB_CNF) -e "insert into sessionlog (exechost, sessnum, start) values ('127.0.0.1', $(SESSNUM), NOW())"
	sudo rm -rf /var/log/mw-client/sessions/
	sudo mkdir /var/log/mw-client/sessions/
	sudo touch /var/log/mw-service/open-sessions/$(SESSNUM).err
	sudo touch /var/log/mw-service/open-sessions/$(SESSNUM).out
	sudo chown $(RUNUSER) /var/log/mw-client/sessions/
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) renotify" > renotify.out
	sudo ls /var/log/mw-client/sessions/$(SESSNUM).err > /dev/null
	sudo ls /var/log/mw-client/sessions/$(SESSNUM).out > /dev/null

# "notify" command without an SSH_ORIGINAL_COMMAND in the environment calls session_exit_notify
# needs python-pydns package
# SSH forced command makes it unnecessary to send the maxwell command as argument, which in turn serves as check that the forced command is properly set
session_exit_notify:
	sudo rm -f /var/log/mw-client/client.log
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from session"
	mysql --defaults-file=$(TEST_DB_CNF) -e "delete from sessionlog"
	mysql --defaults-file=$(TEST_DB_CNF) -e "insert into session(sessnum, exechost, username, sesstoken, appname, start) values ($(SESSNUM), 'exectest.aws.hubzero.org', '$(TESTUSERNAME)', 'atokenstring', '$(TESTAPP)', NOW())"
	sudo touch /var/log/mw-service/open-sessions/$(SESSNUM).err
	sudo touch /var/log/mw-service/open-sessions/$(SESSNUM).out
	sudo ssh -i /etc/mw-service/notify.key $(RUNUSER)@localhost "notify session $(SESSNUM)"
	! ( sudo su $(RUNUSER) -c "grep -e Unable -e Error /var/log/mw-client/client.log" )

shutdown:cleandb
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) shutdown"

purge:cleandb
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) purge"

bork:cleandb
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) bork"

verify:cleandb
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) verify"

notify:cleandb
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) notify"

###### File Server tests (or test using the maxwell_fs Makefile ###### 
update_quota:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) update_quota"

get_quota:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) get_quota"

screenshot: start
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) screenshot"

setfacl:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) setfacl"

unsetfacl:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) unsetfacl"

resetfacl:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) resetfacl"

create_userhome:
	mysql --defaults-file=$(TEST_DB_CNF) -e "update host set status='up' where hostname ='localhost'"
	sudo rm -rf $(HOMEPATH)/zqkg_$(TESTUSERNAME)
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) create_userhome zqkg_$(TESTUSERNAME)" > /dev/null
	sudo ls $(HOMEPATH)/zqkg_$(TESTUSERNAME)

erase_userhome:create_userhome
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) erase_userhome zqkg_$(TESTUSERNAME)" > /dev/null
	sudo ls $(HOMEPATH)/zqkg_$(TESTUSERNAME) 2> create_userhome.out || exit 0
	diff create_userhome.expected create_userhome.out

resize: start
	mysql --defaults-file=$(TEST_DB_CNF) -e "update display set sessnum=$(SESSNUM) where status='used'"
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) resize $(SESSNUM) 800x600"

seed:    
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) seed"

move_userhome:create_userhome
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) move_userhome "

restore_firewall:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) restore_firewall"

share_session:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) share_session"

version:
	sudo su $(RUNUSER) -c "/usr/bin/$(TESTSCRIPT) version"

## hubzero-mw2-client 2.2.11-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-mw2-client
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Common libraries are installed as owned by root so the client can't modify them, as root may need to use them

=== debian/changelog ===
hubzero-mw2-client (2.2.11-1+deb9) unstable; urgency=low

  * add Debian 9 support
  * fix tuple vs list database issue
  * in renotify, process most recent sessions first and limit to 1000 sessions

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 17:20:58 -0700

hubzero-mw2-client (2.2.10-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 12:52:51 -0700

hubzero-mw2-client (2.2.9-1) unstable; urgency=low

  * bug fix for logging in check_host
  * added MOUNT_FOREIGN option to configuration file
  * import make_User_account to support foreign mounts (hydroshare)
  * fix packaging for multihost builds

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Oct 2019 14:44:16 -0500

hubzero-mw2-client (2.2.8-1) unstable; urgency=low

  * reconnect to database as needed when processing notification
    from execution host
  * close db connections before contacting fileserver
  * close db connections before contacting fileserver
  * show traceback on DEBUG instead of VERBOSE, and set DEBUG to
    False by default

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 18 Apr 2019 10:41:49 -0500

hubzero-mw2-client (2.2.7-1) unstable; urgency=low

  * Don't clobber config file on rpm update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 19 Feb 2019 15:56:23 -0500

hubzero-mw2-client (2.2.6-1) unstable; urgency=low

  * WIP docker support
  * improve standby container support
  * support for newer versions of mysqldb python library
  * support of osp configuration 

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 19 Feb 2019 15:15:30 -0400

hubzero-mw2-client (2.2.5-1) unstable; urgency=low

  * Add dependencies for debian packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 26 Jun 2018 11:31:50 -0400

hubzero-mw2-client (2.2.4-1) unstable; urgency=low

  * Restore erroneously removed configuration lines

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Jun 2018 16:53:06 -0400

hubzero-mw2-client (2.2.3-1) unstable; urgency=low

  * Change debian control to mark package to conflict/replace hubzero-mw-client

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Jun 2018 13:19:21 -0400

hubzero-mw2-client (2.2.2-1) unstable; urgency=low

  * Replace changeme placeholders with hubinabox valid defaults

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 20 Jun 2018 14:33:12 -0400

hubzero-mw2-client (2.2.1-1) unstable; urgency=low

  * Debian packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 18 Jun 2018 16:31:24 -0400

hubzero-mw2-client (2.2.0-1) unstable; urgency=low

  * Debian packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 10 Apr 2018 16:51:42 -0400

hubzero-mw2-client (2.1.6-1) unstable; urgency=low

  * removed reference to dev.nanohub.org in configuration file

 -- Pascal Meunier <pmeunier@purdue.edu>  Thu, 29 Mar 2018 14:01:20 -0400

hubzero-mw2-client (2.1.5-1) unstable; urgency=low

  * fixed comment in SSH key creation
  * better error reporting and detection if mysql connection variables aren't set

 -- Pascal Meunier <pmeunier@purdue.edu>  Tue, 27 Mar 2018 10:17:20 -0400

hubzero-mw2-client (2.1.4-1) unstable; urgency=low

  * use /etc/mw-client/mw2-client.conf for configuration instead of /etc/mw-client/mw-client.conf

 -- Pascal Meunier <pmeunier@purdue.edu>  Tue, 20 Mar 2018 15:33:21 -0400

hubzero-mw2-client (2.1.3-1) unstable; urgency=low

  * mount foreign username/org filesystems with username mapping using jos_auth_ tables
  * recursively set permissions on /var/log/mw-client

 -- Pascal Meunier <pmeunier@purdue.edu>  Fri, 23 Feb 2018 11:17:19 -0400

hubzero-mw2-client (2.1.2-3) unstable; urgency=low

  * avoid doing chmod -R 0770 because it makes pre-existing private keys readable by group, which SSH rejects

 -- Pascal Meunier <pmeunier@purdue.edu>  Thu, 17 Aug 2017 16:50:13 -0400

hubzero-mw2-client (2.1.2-2) unstable; urgency=low

  * Package signing

 -- Pascal Meunier <pmeunier@purdue.edu>  Wed, 16 Aug 2017 10:45:29 -0400

hubzero-mw2-client (2.1.2-1) unstable; urgency=low

  * mw-client.conf uncomment table prefix

 -- Pascal Meunier <pmeunier@purdue.edu>  Thu, 20 Apr 2017 14:35:31 -0400

hubzero-mw2-client (2.1.1-1) unstable; urgency=low

  * mw-client.conf updated and modified to leverage hzcms --enable

 -- Pascal Meunier <pmeunier@purdue.edu>  Thu, 13 Apr 2017 16:22:57 -0400

hubzero-mw2-client (2.1.0-1) unstable; urgency=low

  * Initial packaging.

 -- Pascal Meunier <pmeunier@purdue.edu>  Thu, 12 Jan 2017 11:31:15 -0400

=== debian/control ===
Source: hubzero-mw2-client
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-mw2-client
Architecture: all
Depends: python (>=2.6), hubzero-mw2-common, time, openssh-client, openssh-server, python, socat, stunnel4, python-dns, ${misc:Depends}
Conflicts: hubzero-mw-client
Replaces: hubzero-mw-client
Description: HUBzero Middleware 2 Client
 Client for HUBzero Middleware 2

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mw2-client
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-client install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install
